//MS Ultimate Mod othermods File
//Contains all the functions for ms to register flag scoring from CS flag mod.

#if defined ms_flag_included
  #endinput
#endif
#define ms_flag_included

public csf_flag_taken(id)
{
	if ( get_playersnum() < get_pcvar_num(gPcvarXpMinPlayers) ) return;

	new tempkills = get_pcvar_num(gPcvarFlagKills);

	if ( tempkills < 1 ) return;

	totalkills[id] += tempkills;
	DisplayHUD(id);
	client_print(id, print_chat, "[MS] Zdobyles %d punkty za zdobycie flagi", tempkills);
}

public csf_round_won(CsTeams:team)
{
	if ( get_playersnum() < get_pcvar_num(gPcvarXpMinPlayers) ) return;

	new tempkills = get_pcvar_num(gPcvarFlagRoundPoints);

	if ( tempkills < 1 ) return;

	for ( new id = 1; id <= gMaxPlayers; id++ )
	{
		if ( !is_user_connected(id) ) continue;
		if ( cs_get_user_team(id) != team ) continue;

		totalkills[id] += tempkills;
		DisplayHUD(id);
		client_print(id, print_chat, "[MS] Zdobyles %d punkty za wygranie rundy flagowej", tempkills);
	}
}

public csf_match_won(CsTeams:team)
{
	if ( get_playersnum() < get_pcvar_num(gPcvarXpMinPlayers) ) return;

	new tempkills = get_pcvar_num(gPcvarFlagMatchPoints);

	if ( tempkills < 1 ) return;

	for ( new id = 1; id <= gMaxPlayers; id++ )
	{
		if ( !is_user_connected(id) ) continue;
		if ( cs_get_user_team(id) != team ) continue;

		totalkills[id] += tempkills;
		DisplayHUD(id);
		client_print(id, print_chat, "[MS] Zdobyles %d punkty za wygranie meczu na flagi", tempkills);
	}
}