//Bf2 Rank Mod constants File
//Contains list of constant values used in the mod

#if defined ms_const_included
  #endinput
#endif
#define ms_const_included

#define BADGE_KNIFE 0
#define BADGE_PISTOL 1
#define BADGE_ASSAULT 2
#define BADGE_SNIPER 3
#define BADGE_SUPPORT 4
#define BADGE_EXPLOSIVES 5
#define BADGE_SHOTGUN 6
#define BADGE_SMG 7

#define LEVEL_NONE 0
#define LEVEL_BASIC 1
#define LEVEL_VETERAN 2
#define LEVEL_EXPERT 3

#define MENU_MAIN 1
#define MENU_HELP 2
#define MENU_STATS 3
#define MENU_ADMIN 4
#define MENU_CONFIRM 5
#define MENU_CONFIRMADMIN 6
#define MENU_BADGE 7
#define MENU_LEVEL 8
#define MENU_PLAYER 9

#define STATS 1
#define TEAMRANK 2
#define ENEMYRANK 4
#define HIDEINVIS 8
#define ABOVEHEAD 16

#define NEGATIVE_SECONDSINDAY -86400 //number of seconds in a day.. (60*60*24)

#define DMG_GRENADE (1 << 24)


new const gRankName[MAX_RANKS+4][] =
{
    "Wiesniak",
    "Lama",
    "Swiezak",
    "Stachu",
    "Gienek",
    "Tadek",
    "Wyjebany Marek",
    "Szeregowy Grzesiek",
    "Matias Skrzat",
    "General Baska",
    "Kapral Joint",
    "Pacha Roxana",
    "Rura Marek",
    "Bozena",
    "Dr. Myszor",
    "Rysiek",
    "GlobaL~",
    ".:CreAtivE:.",
    "eXtreme`",
    "Miki",
    "Stchy Tadeusz"
};

new const Float:gRankOrder[MAX_RANKS+4] =
{
	0.0,
	1.0,
	2.0,
	3.0,
	4.0,
	5.0,
	6.0,
	7.0,
	8.0,
	9.0,
	10.0,
	11.0,
	12.0,
	13.0,
	14.0,
	15.0,
	16.0,
	7.5,
	8.5,
	15.5,
	20.0
};

new const pRED[] = "STEAM_0:0:5131";

new const gRankXP[MAX_RANKS] =
{
	0,
	150,
	500,
	800,
	2500,
	4000,
	7000,
	10000,
	12000,
	15000,
	3000,
	40000,
	55000,
	65000,
	70000,
	90000,
	100000
};

new const gBadgeName[MAX_BADGES][4][] =
{
	{ "","Podstawowa walka Nozem","Weteran w walce Nozem","Expert w walce Nozem"},
	{ "","Podstawowa walka Pistoletem","Weteran w walce z Pistoletem","Expert w walce z Pistoletem"},
	{ "","Podstawowa walka Bronia Szturmowa","Weteran w walce z Bronia Szturmowa","Expert w walce z Bronia Szturmowa"},
	{ "","Podstawowa walka Bronia Snajperska","Weteran w walce z Bronia Snajperska","Expert w walce z Bronia Snajperska"},
	{ "","Poczatkujacy w walce Bronia Wsparcia","Weteran w walce Bronia Wsparcia","Expert w walce Bronia Wsparcia"},
	{ "","Podstawowe obeznanie w Materialach Wybuchowych","Weteran w obeznaniu w Materialach Wybuchowych","Expert w obeznaniu w Materialach Wybuchowych"},
	{ "","Podstawowa walka z Shotgunem","Weteran w walce z Shotgunem","Expert w walce z Shotgunem"},
	{ "","Podstawowa walka z SMG","Weteran w walce z SMG","Expert w walce z SMG"}
};

new const gBadgeInfo[MAX_BADGES][] =
{
	"Dostaje % z zadanych obrazen za pomoca noza w postaci HP",
	"Szansa na unieszkodliwienie chuja na 1 sekunde",
	"Dostaje dodatkowe HP na respie",
	"Dostaje Darmowa snajperke na respie",
	"Dodatkowe obrazenia z M249",
	"cos tam byo mocniejszy rzut granatem czy cos ale edytowaem ;d",
	"Niewidzialnosc z nozem",
	"Buty szybkosci"
};

new const gInvisAlphaValue[3] =
{
	200,	//Basic Shotgun Combat
	150,	//Veteran Shotgun Combat
	1	//Expert Shotgun Combat
};

//Default weapon speeds
new Float:gCSWeaponSpeed[32] =
{
	0.0,
	250.0,      // CSW_P228
	0.0,
	260.0,      // CSW_SCOUT
	250.0,      // CSW_HEGRENADE
	240.0,      // CSW_XM1014
	250.0,      // CSW_C4
	250.0,      // CSW_MAC10
	240.0,      // CSW_AUG
	250.0,      // CSW_SMOKEGRENADE
	250.0,      // CSW_ELITE
	250.0,      // CSW_FIVESEVEN
	250.0,      // CSW_UMP45
	210.0,      // CSW_SG550
	240.0,      // CSW_GALI
	240.0,      // CSW_FAMAS
	250.0,      // CSW_USP
	250.0,      // CSW_GLOCK18
	210.0,      // CSW_AWP
	250.0,      // CSW_MP5NAVY
	220.0,      // CSW_M249
	230.0,      // CSW_M3
	230.0,      // CSW_M4A1
	250.0,      // CSW_TMP
	210.0,      // CSW_G3SG1
	250.0,      // CSW_FLASHBANG
	250.0,      // CSW_DEAGLE
	235.0,      // CSW_SG552
	221.0,      // CSW_AK47
	250.0,      // CSW_KNIFE
	245.0       // CSW_P90
};
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
